;===============================================================================
; Program using the font library with a font in a FILE
; Using normal graphic mode (Gray2)
; Using Invert mode
;
; To use the program don't forget to put the file T5x12.89s on your TI89 !
;===============================================================================

	include "..\..\doorsos.h"
	include "..\..\graphlib.h"
	include "..\..\userlib.h"
	include "..\..\filelib.h"
	include "..\..\fontlib.h"      ;Include the font header to use fonctions

      xdef _main
      xdef _comment
      xdef _ti89

writestr MACRO
	move.w \1,d0                ;We will write on x
	move.w \2,d1                ;We will write on y
	move.l \3,a0                ;Store string address in a0
	jsr fontlib::WriteString    ;Write the string stored at a0
	ENDM

_main:
	jsr graphlib::clr_scr       ;Clear the screen

	move.l #Name,a0             ;Name of the file to search
	move.l #0,d1                ;0 -> We take the first file found
	jsr filelib::search         ;Search for the file

	move.l #Name,d1
	cmp.l a0,d1                 ;a0 change ? (<> #name = file found)
	bne FileFound               ;Yes ? Then continue
	rts                         ;Else quit

FileFound:
	lea 12(a0),a0               ;Go to the file handle (a0 is on the name)
	move.w (a0),d0              ;Put the file handle in d0
	DEREF d0,a0                 ;Get the file address in a0
	addq #2,a0                  ;Skip file size (Word, 2 bytes)

	jsr fontlib::InitFont       ;Now initialize the font (at a0)

	move.w #1,fontlib::Invert   ;Make an invert font

	writestr #0,#0,#Test1       ;Put String Test1
	writestr #0,#20,#Test2      ;Put String Test2
	writestr #0,#40,#Test       ;Put String Test3
	writestr #0,#60,#Test3      ;Put String Test4

	move.w #0,fontlib::Invert   ;Restore normal mode

	jsr userlib::idle_loop      ;Wait a key from the user
	rts

Name		dc.b "t5x12",0          ;Font file
Test		dc.b "\ 012 ABC /",0,0  ;String to write on the screen
Test1		dc.b "Terminal Font",0  ;Other string
Test2        dc.b "Font T5x12",0
Test3		dc.b "Invert font example",0

_comment dc.b "Font example 5 by CandyMan",0

	end
